package com.nasc.custom.domain;

import javax.validation.constraints.NotBlank;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 前置问题选项表
 * @return:
 */
public class NascPreQuestionOption {

    /** 前置问题选项主键ID */
    private Long id;

    /** 所属前置问题ID */
    private Long questionId;

    /** 选项描述信息 */
    private String desc;

    /** 排序号，数字越大排序越靠前 */
    private Long sortNum;

    /** 前置问题跳转事项ID，为0则结束 */
    private Long jumpToMatterId;

    /** 审查事项前置问题选项材料信息 */
    private NascMaterial material;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    @NotBlank(message = "选项内容不能为空")
    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Long getSortNum() {
        return sortNum;
    }

    public void setSortNum(Long sortNum) {
        this.sortNum = sortNum;
    }

    public Long getJumpToMatterId() {
        return jumpToMatterId;
    }

    public void setJumpToMatterId(Long jumpToMatterId) {
        this.jumpToMatterId = jumpToMatterId;
    }

    public NascMaterial getMaterial() {
        return material;
    }

    public void setMaterial(NascMaterial material) {
        this.material = material;
    }
}
